Debian Bug report logs - #579859
ITP: clementine -- Music player and library organizer

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rickard Närström <rickard.narstrom@gmail.com>

Date: Sat, 1 May 2010 18:06:05 UTC

Owned by: web.pierson@gmail.com

Severity: wishlist

Fixed in version clementine/0.7.1+dfsg-1

Done: Thomas PIERSON <web.pierson@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, me@davidsansome.com, wnpp@debian.org:
Bug#579859; Package wnpp. (Sat, 01 May 2010 18:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rickard Närström <rickard.narstrom@gmail.com>:
New Bug report received and forwarded. Copy sent to me@davidsansome.com, wnpp@debian.org. (Sat, 01 May 2010 18:06:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rickard Närström <rickard.narstrom@gmail.com>
To: submit@bugs.debian.org
Subject: RFP: clementine -- Music player and library organiser
Date: Sat, 01 May 2010 20:02:34 +0200
Package: wnpp
Severity: wishlist
X-Debbugs-CC: David Sansome <me@davidsansome.com>

Name: clementine
Version: 0.2.99 (0.3 release candidate)
Upstream Author: David Sansome
URL: http://code.google.com/p/clementine
License: GPL-3
Description: Music player and library organizer

Clementine is a modern music player and library organizer. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4.

Features includes:
* Search and play your local music library
* Listen to Internet radio from Last.fm and SomaFM
* Load M3U and XSPF play lists
* Edit tags on MP3 and OGG files, organize your music
* Download missing album cover art from Last.fm
* Cross-platform - works on Windows, Mac OS X and Linux
* Native desktop notifications on Linux (libnotify) and Mac OS X (Growl)


I'm currently packaging Clementine for Ubuntu [1]. If you intend to
package it for Debian please contact me so we can avoid duplicate work.

[1] https://bugs.launchpad.net/ubuntu/+bug/549009





Changed Bug title to 'RFP: clementine -- Music player and library organizer' from 'RFP: clementine -- Music player and library organiser' Request was from Rickard Närström <rickard.narstrom@gmail.com> to control@bugs.debian.org. (Sat, 01 May 2010 18:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#579859; Package wnpp. (Tue, 10 Aug 2010 18:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eduardo I." <perseguidor@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 Aug 2010 18:57:06 GMT) Full text and rfc822 format available.

Message #12 received at 579859@bugs.debian.org (full text, mbox):

From: "Eduardo I." <perseguidor@gmail.com>
To: 579859@bugs.debian.org
Subject: Second this.
Date: Tue, 10 Aug 2010 15:52:30 -0300
I would also like to see Clementine in Debian. I guess it's not a
trivial app to package, but if you need help I'm willing to lend a
hand.
--
Eduardo.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#579859; Package wnpp. (Sun, 29 Aug 2010 13:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas PIERSON <web.pierson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 29 Aug 2010 13:00:03 GMT) Full text and rfc822 format available.

Message #17 received at 579859@bugs.debian.org (full text, mbox):

From: Thomas PIERSON <web.pierson@gmail.com>
To: 579859@bugs.debian.org
Subject: Re: Bug#579859: RFP: clementine -- Music player and library organizer
Date: Sun, 29 Aug 2010 15:06:55 +0200
[Message part 1 (text/plain, inline)]
retitle 579859 ITP: clementine -- Music player and library organizer
owner 579859 web.pierson@gmail.com
thanks

I am working on a Clementine package based on last stable version 0.4.2.

Rickard Närström wrote :
> I'm currently packaging Clementine for Ubuntu [1]. If you intend to
> package it for Debian please contact me so we can avoid duplicate work.
I agree to pool our efforts and I will contact you soon.

Regards,
Thomas PIERSON
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: clementine -- Music player and library organizer' from 'RFP: clementine -- Music player and library organizer' Request was from Thomas PIERSON <web.pierson@gmail.com> to control@bugs.debian.org. (Sun, 29 Aug 2010 13:12:05 GMT) Full text and rfc822 format available.

Owner recorded as web.pierson@gmail.com. Request was from Thomas PIERSON <web.pierson@gmail.com> to control@bugs.debian.org. (Sun, 29 Aug 2010 13:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, web.pierson@gmail.com:
Bug#579859; Package wnpp. (Fri, 10 Sep 2010 20:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas PIERSON <web.pierson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, web.pierson@gmail.com. (Fri, 10 Sep 2010 20:54:03 GMT) Full text and rfc822 format available.

Message #26 received at 579859@bugs.debian.org (full text, mbox):

From: Thomas PIERSON <web.pierson@gmail.com>
To: 579859@bugs.debian.org
Subject: Re: Bug#579859: RFP: clementine -- Music player and library organizer
Date: Fri, 10 Sep 2010 23:02:47 +0200
[Message part 1 (text/plain, inline)]
Hi,

Some news from Clementine packaging.

In agreement with Clementine devel team, I plan to publish a first Debian 
package based on next versions 0.5.x . 

For the moment, I just build an first experimental package but I must fix some 
mistakes before sharing my work. When I have a better result, I will show it 
here and I will ask help to test or fix it.

Regards,
Thomas PIERSON
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, web.pierson@gmail.com:
Bug#579859; Package wnpp. (Wed, 13 Oct 2010 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas PIERSON <web.pierson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, web.pierson@gmail.com. (Wed, 13 Oct 2010 17:09:03 GMT) Full text and rfc822 format available.

Message #31 received at 579859@bugs.debian.org (full text, mbox):

From: Thomas PIERSON <web.pierson@gmail.com>
To: 579859@bugs.debian.org
Subject: Re: Bug#579859: RFP: clementine -- Music player and library organizer
Date: Wed, 13 Oct 2010 19:07:06 +0200
[Message part 1 (text/plain, inline)]
Hi,

Some news from Clementine packaging.(again)

I finally built a package based on Clementine 0.5.x. and I imported the last 
upstream version 0.5.3.
There is still some work on this package but it is now usable.
I got a first feedback from my sponsor some days ago and I fixed some 
mistakes.

Last issue that I currently working on is about embed code copy included in 
the upstream source. Debian policy set some limitations about that.

If you want follow my packaging work on this package, you can use this GIT 
repository browser [1] or directly clone the package repository [2].
(I am using git-buildpackage.)


Regards,
Thomas PIERSON

[1] http://thomaspierson.eu/gitweb/?p=pkg-clementine.git

[2] git clone http://thomaspierson.eu/pkg-clementine/

[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, web.pierson@gmail.com:
Bug#579859; Package wnpp. (Wed, 10 Nov 2010 08:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Γιάννης Σερβετάς <johnservetas@yahoo.gr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, web.pierson@gmail.com. (Wed, 10 Nov 2010 08:15:06 GMT) Full text and rfc822 format available.

Message #36 received at 579859@bugs.debian.org (full text, mbox):

From: Γιάννης Σερβετάς <johnservetas@yahoo.gr>
To: 579859@bugs.debian.org
Subject: Is there any progress
Date: Wed, 10 Nov 2010 09:09:54 +0200
I see that there is some progress on the git repository. But, when do 
you think Clementine should be available in the Squeeze repositories?

Thank you in advance you the work you do.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, web.pierson@gmail.com:
Bug#579859; Package wnpp. (Wed, 10 Nov 2010 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas PIERSON <web.pierson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, web.pierson@gmail.com. (Wed, 10 Nov 2010 10:21:03 GMT) Full text and rfc822 format available.

Message #41 received at 579859@bugs.debian.org (full text, mbox):

From: Thomas PIERSON <web.pierson@gmail.com>
To: Γιάννης Σερβετάς <johnservetas@yahoo.gr>, 579859@bugs.debian.org
Subject: Re: Bug#579859: Is there any progress
Date: Wed, 10 Nov 2010 11:20:43 +0100
[Message part 1 (text/plain, inline)]
Hi,

> I see that there is some progress on the git repository. 

Summary of what I am working on :
* There are some embedded code copy used in Clementine sources and this is not   
allowed by Debian policy [1]. For each of these `cloned` libraries, I must use 
a official Debian package instead.
* Some libs are already packaged in Debian but not all of these.

Issues :
* Some of these embedded libs have been patched by Clementine developers. So I 
can not use directly the Debian package instead and I must ask to maintainers 
if it is possible to apply these patches to there packages. [2]
* Some of these embedded libs need to be packaged in Debian.

Current state :
* I am waiting for review of my sponsor about this situation.

> But, when do you think Clementine should be available in the Squeeze 
> repositories?
For the moment, I have no idea when Clementine package will be available in 
Debian repositories.

I will post a complete recap about each embedded libs issues as soon as 
possible.

Best regards,
Thomas PIERSON


[1] http://www.debian.org/doc/debian-policy/ch-source.html 
	(#4.13 Convenience copies of code)

[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=600653

[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 579859: 600653 Request was from Thomas PIERSON <web.pierson@gmail.com> to control@bugs.debian.org. (Mon, 15 Nov 2010 11:09:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 579859: 603701 Request was from Thomas PIERSON <web.pierson@gmail.com> to control@bugs.debian.org. (Tue, 16 Nov 2010 14:33:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 579859: 607014 Request was from Thomas PIERSON <web.pierson@gmail.com> to control@bugs.debian.org. (Tue, 14 Dec 2010 00:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, web.pierson@gmail.com:
Bug#579859; Package wnpp. (Wed, 19 Jan 2011 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas PIERSON <web.pierson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, web.pierson@gmail.com. (Wed, 19 Jan 2011 23:15:03 GMT) Full text and rfc822 format available.

Message #52 received at 579859@bugs.debian.org (full text, mbox):

From: Thomas PIERSON <web.pierson@gmail.com>
To: 579859@bugs.debian.org
Subject: Re: Bug#579859: ITP: clementine -- Music player and library organizer
Date: Thu, 20 Jan 2011 00:11:38 +0100
[Message part 1 (text/plain, inline)]
Hi,

Some news from Clementine packaging.

As you could see, there is still no Clementine package in Debian archive cause 
of blocking issues about embedded libraries present in Clementine source code.

This is not a problem for Ubuntu but it is forbidden by Debian policy. This is 
the reason why a package was already available in Ubuntu but not yet in 
Debian.

Actually, there 2 major libraries that need to be packaged to satisfy 
Clementine depends and Debian policy : libqxt and libechonest.

I took the ITP of libqxt and I built a first experimental package. [1]
Maybe I will have to package libechonest too but for the moment I focus on 
libqxt.

All of my packaging works is published on GIT repositories [2]. I am using 
git-buildpackage tool for packaging.
So don't hesitate to clone these and send me patches or bundles if you look 
forward Clementine raise Debian archive.

Regards,
Thomas PIERSON
 
 [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=603701
 
 [2] 
Clementine
-----------------
http://thomaspierson.eu/gitweb/?p=pkg-clementine.git
git clone http://thomaspierson.eu/pkg-clementine/
Libqxt
---------
http://thomaspierson.eu/gitweb/?p=pkg-libqxt.git;a=summary
git clone http://thomaspierson.eu/pkg-libqxt/
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, web.pierson@gmail.com:
Bug#579859; Package wnpp. (Mon, 11 Apr 2011 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas PIERSON <web.pierson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, web.pierson@gmail.com. (Mon, 11 Apr 2011 21:15:03 GMT) Full text and rfc822 format available.

Message #57 received at 579859@bugs.debian.org (full text, mbox):

From: Thomas PIERSON <web.pierson@gmail.com>
To: 579859@bugs.debian.org
Subject: Re: Bug#579859: ITP: clementine -- Music player and library organizer
Date: Mon, 11 Apr 2011 23:10:47 +0200
[Message part 1 (text/plain, inline)]
Hi,

Some news from Clementine packaging.

As you could see, 'libqxt' and 'libechonest' (the main missing depends of 
clementine) are pending for upload in Debian archive. [1]

There are many people to thank like Jérémy Bobbio for his sponsoring work, 
Lisandro who packaged 'libechonest', Bruno Bigras who send me patches for 
'libqxt' packaging... You will find a complete list in changelog files of these 
new packages.

The next step is to prepare clementine upload.
For the moment, 0.7.x release seem to be a good choice for a first official 
Debian package. 
Once the missing dependencies above reach unstable repository, clementine can 
be uploaded to Debian archive.

Regards,
Thomas PIERSON

[1]
http://ftp-master.debian.org/new/libqxt_0.6.1-1.html
http://ftp-master.debian.org/new/libechonest_1.1.3-1.html
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 20 Apr 2011 08:06:06 GMT) Full text and rfc822 format available.

Reply sent to Thomas PIERSON <web.pierson@gmail.com>:
You have taken responsibility. (Tue, 14 Jun 2011 21:03:20 GMT) Full text and rfc822 format available.

Notification sent to Rickard Närström <rickard.narstrom@gmail.com>:
Bug acknowledged by developer. (Tue, 14 Jun 2011 21:03:21 GMT) Full text and rfc822 format available.

Message #64 received at 579859-close@bugs.debian.org (full text, mbox):

From: Thomas PIERSON <web.pierson@gmail.com>
To: 579859-close@bugs.debian.org
Subject: Bug#579859: fixed in clementine 0.7.1+dfsg-1
Date: Tue, 14 Jun 2011 21:02:52 +0000
Source: clementine
Source-Version: 0.7.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
clementine, which is due to be installed in the Debian FTP archive:

clementine_0.7.1+dfsg-1.debian.tar.gz
  to main/c/clementine/clementine_0.7.1+dfsg-1.debian.tar.gz
clementine_0.7.1+dfsg-1.dsc
  to main/c/clementine/clementine_0.7.1+dfsg-1.dsc
clementine_0.7.1+dfsg-1_amd64.deb
  to main/c/clementine/clementine_0.7.1+dfsg-1_amd64.deb
clementine_0.7.1+dfsg.orig.tar.gz
  to main/c/clementine/clementine_0.7.1+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579859@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas PIERSON <web.pierson@gmail.com> (supplier of updated clementine package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 24 May 2011 01:25:23 +0200
Source: clementine
Binary: clementine
Architecture: source amd64
Version: 0.7.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Thomas PIERSON <web.pierson@gmail.com>
Changed-By: Thomas PIERSON <web.pierson@gmail.com>
Description: 
 clementine - modern music player and library organizer
Closes: 579859
Changes: 
 clementine (0.7.1+dfsg-1) unstable; urgency=low
 .
   * Initial release. Thanks to Jérémy Bobbio for his sponsoring work.
     Thanks to Lisandro Pérez Meyer for his packaging work on libechonest
     depend. Thanks to Paul Grandperrin for his advices, patches and reviews
     about embedded libraries issues. Thanks to David Sansome for his
     upstream patches. Thanks to Arthur Rona for his advices.  Closes: #579859
Checksums-Sha1: 
 313326b35be3c05a0799f9561ba025f7cf1b1986 2206 clementine_0.7.1+dfsg-1.dsc
 c285da8a49597b5c50e55c967fdc1c180bf33b01 3376320 clementine_0.7.1+dfsg.orig.tar.gz
 f863dbdd11ca0f0741f6ea88a2e236b463b81289 12521 clementine_0.7.1+dfsg-1.debian.tar.gz
 95b862344ef4211993bbd123110ad1a8d3148f4b 3700134 clementine_0.7.1+dfsg-1_amd64.deb
Checksums-Sha256: 
 a3c3941be3af6011f6d48b90f4664a790e1bb80f183917cdcb471a9595b53b99 2206 clementine_0.7.1+dfsg-1.dsc
 292aa32f3e6a650e7c673f8d58ee46f429b6f539db7a3ad73afc5ea5a94ae6b2 3376320 clementine_0.7.1+dfsg.orig.tar.gz
 44b6facf4964f6854d7bff24629b48da0b4e1eacb7ef396c63c732619add2259 12521 clementine_0.7.1+dfsg-1.debian.tar.gz
 961b3993639282641edf6c256532d0f84f27c4148984f30427eb1d987b746ce5 3700134 clementine_0.7.1+dfsg-1_amd64.deb
Files: 
 558edee502935b7a4cdbd466473c476f 2206 sound optional clementine_0.7.1+dfsg-1.dsc
 1300e4bd7993f209dad5cc5d9b158905 3376320 sound optional clementine_0.7.1+dfsg.orig.tar.gz
 a006caf57eafaf4c1030ecb75485e4ff 12521 sound optional clementine_0.7.1+dfsg-1.debian.tar.gz
 60efe12f628c4dd2f84b01ce743b7af2 3700134 sound optional clementine_0.7.1+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJN8oSiAAoJEEgU3sIrMHw8KJkQALjo19RJEPrNkmhvzZ7hXyd5
VLtrVpQ3dwX2aoo80l+JjTMEmvHwULXOvXW+b0bJjqukG3Oat7ZAamKfLPdW8XNW
4sx7XWENTs7ZK12lt3xOohucxgfC6YejwhG53vhjFu03RM+P40gSBus5O6ryLps0
p7oPqs+Y1eWzQERbETMdqhK8ETHdsWO7W/LX7ickc5i1nW+CAwfbIbkXEfDwzOdi
0rYIHV7FU+PzdIIG+ZDo0j8NcqzW4hpl3p+dWnUsmP3e0Lqbjy2fJWYMab/FSbxX
YklmOVSsrBAWpyJ5WE52Qlt8B+OojG8k2mqNV9m4DK9ODlSe2379DXl+RKeClfBM
0LkP9C3eu1QvGmX2qDADk6ZrV0OlfzEtavMPIsNdpGToSzEL0CfiYjMtpnH3hV8f
GHyxl77sCsIvLl3e7WxfZ9hDp/bz2JQHzKIgkjryPAQEVooz9Nr7VMVnRx7lJRPk
tsU4sX/CNnCIEjaMjDBd/DG0/5e87Fx7k63aamzX9udA4brzjq2vYClaVmfZDybI
QIpA6xkS929tfAS068eEs10Vm+McJrHGgZ//CZCuTashZi9KEHIBKTYw2JJhRf+9
lRiJBFxMMAKonAykyGHdsdHpFxnHfYX1NBlKyNuYSq0lNwOqDQdyogaWlED0myuf
5Qng9kivhmSPWoCLZg2k
=9Nsy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Jul 2011 07:35:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:16:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.